Installation Problems

What am I doing wrong?

>tar -xf ~/downloads/idea/idea3193.tar 
mtennes@atlantis:/usr/local>>cd idea-3193/
mtennes@atlantis:/usr/local/idea-3193>>tar -xf ~/downloads/idea/jre.tar 
mtennes@atlantis:/usr/local/idea-3193>>./jre/bin/java -version
java version "1.4.2_06"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_06-b03)
Java HotSpot(TM) Client VM (build 1.4.2_06-b03, mixed mode)
mtennes@atlantis:/usr/local/idea-3193>>./bin/idea.sh 
java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:324)
        at com.intellij.ide.plugins.h$2.run(h$2.java:3)
        at java.lang.Thread.run(Thread.java:534)
Caused by: java.lang.UnsupportedClassVersionError: org/w3c/dom/ranges/DocumentRange (Unsupported major.minor version 49.0)
        at java.lang.ClassLoader.defineClass0(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:448)
        at com.intellij.ide.plugins.a.a.a(a.java:12)
        at com.intellij.ide.plugins.a.a.findClass(a.java:36)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
        at java.lang.ClassLoader.defineClass0(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:448)
        at com.intellij.ide.plugins.a.a.a(a.java:12)
        at com.intellij.ide.plugins.a.a.findClass(a.java:36)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
        at java.lang.ClassLoader.defineClass0(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:448)
        at com.intellij.ide.plugins.a.a.a(a.java:12)
        at com.intellij.ide.plugins.a.a.findClass(a.java:36)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderFactoryImpl.newDocumentBuilder(Unknown Source)
        at org.apache.log4j.xml.DOMConfigurator.doConfigure(DOMConfigurator.java:659)
        at org.apache.log4j.xml.DOMConfigurator.doConfigure(DOMConfigurator.java:627)
        at com.intellij.idea.LoggerFactory.a(LoggerFactory.java:16)
        at com.intellij.idea.LoggerFactory.getLoggerInstance(LoggerFactory.java:6)
        at com.intellij.openapi.diagnostic.Logger.getInstance(Logger.java:25)
        at com.intellij.idea.Main.start(Main.java:23)
        ... 6 more
mtennes@atlantis:/usr/local/idea-3193>>]]>

2 comments
Comment actions Permalink

Caused by: java.lang.UnsupportedClassVersionError: org/w3c/dom/ranges/DocumentRange (Unsupported major.minor version 49.0)


Do you have a JDK-1.5-jar in your classpath?

Tom

0
Comment actions Permalink

Yeah, that fixes it.

Why did that do away with the nice installer?

0

Please sign in to leave a comment.